# Serverside data preperation to relieve clientside workload

<p class="callout info">Requirements: Basic Knowledge of Rest APIs and Microsoft Graph API</p>

### Graph API Query Parameters

With query parameters you can specify custom queries that the answer of the Graph API returns the values you need. Therefore, you specify the API Route you want to take and on this value you perform a serverside data preperation.

#### $Filter

Example: **Get MEID Group Properties by MEID Group SID**

GET https://graph.microsoft.com/v1.0/groups?$filter=startswith(securityIdentifier,'S-1-12-1-234774239-1265421194-1318151825-3905263908')

#### $Select

Example: **Get Intune Primary User by Intune Device ID**

<div id="bkmrk-get-https%3A%2F%2Fgraph.mi"><div>GET https://graph.microsoft.com/beta/deviceManagement/managedDevices/&lt;INTUNEDEVICEID&gt;?$select=usersLoggedOn</div><div>  
</div></div>####   